Subject: ==> multithreading imapd

From: "Harmel K. Singh" <[email-masked]>
Date: Mon, 11 Aug 1997 01:01:05 -0400

assuming one has crafted a thread safe site specific driver &
	a optimized message store, what are the issues with multithreading
	imapd itself ( imapd.c, imap4r1.c, mail.c etc.) ?

	i would like to hear from anyone who has ventured into this or
	has any comments.
hks.

---

From: Chris Newman <[email-masked]>
Date: Tue, 19 Aug 1997 12:32:45 -0700 (PDT)

> 	i would like to hear from anyone who has ventured into this or

It's quite hard to make it multi-threaded.  There are a number of global
state variables.  MAILSTREAM contexts passed to the driver are often NULL,
leaving no context for a thread.  And the way strtok() is used is very
creative -- watch out for the state preservation across function calls.

		- Chris